io.undertow.server.handlers.encoding

## Class GzipEncodingProvider

- java.lang.Object
- - io.undertow.server.handlers.encoding.GzipEncodingProvider

All Implemented Interfaces:
  ContentEncodingProvider

    public class GzipEncodingProvider
    extends Object
    implements ContentEncodingProvider

Content coding for 'deflate'

Author:
  Stuart Douglas

### Field Summary

### Fields inherited from interface io.undertow.server.handlers.encoding.ContentEncodingProvider

`IDENTITY`

### Constructor Summary

Constructors
Constructor and Description
`GzipEncodingProvider()`
`GzipEncodingProvider(int deflateLevel)`
`GzipEncodingProvider(ObjectPool<Deflater> deflaterPool)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ConduitWrapper<org.xnio.conduits.StreamSinkConduit>` `getResponseWrapper()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GzipEncodingProvider

    public GzipEncodingProvider()

#### GzipEncodingProvider

    public GzipEncodingProvider(int deflateLevel)

#### GzipEncodingProvider

    public GzipEncodingProvider(ObjectPool<Deflater> deflaterPool)

### Method Detail

#### getResponseWrapper

    public ConduitWrapper<org.xnio.conduits.StreamSinkConduit> getResponseWrapper()

Specified by:
  `getResponseWrapper` in interface `ContentEncodingProvider`